Runtimes
List runtimes
List execution runtimes and their compatible model references for the current organization.
GET
/
v1
/
runtimes
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const runtime = await client.runtimes.list({
limit: '50',
});curl --request GET \
--url https://api.tembo.io/v1/runtimes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/runtimes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/runtimes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "claudeCode",
"displayName": "<string>",
"defaultModelName": "claude-opus-5-5",
"requiresApiKey": true,
"hasApiKey": true,
"runCapabilities": {
"modes": [
"normal"
],
"speeds": [
"normal"
],
"supportsGoals": true
},
"availability": {
"status": "available"
},
"compatibleModels": [
{
"name": "claude-opus-5-5",
"label": "<string>",
"provider": "<string>",
"isDefault": true,
"isPlatformDefault": true,
"reasoningLevels": [
"<string>"
],
"availability": {
"status": "available"
}
}
]
}
],
"nextCursor": "claudeCode"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
claudeCode, codex, opencode, cursor, amp, fx, pi Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const runtime = await client.runtimes.list({
limit: '50',
});